## r-cran-ggforce 0.3.1

=== DESCRIPTION ===
Package: ggforce
Type: Package
Title: Accelerating 'ggplot2'
Version: 0.3.1
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("cre", "aut"),
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person("RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The aim of 'ggplot2' is to aid in visual data investigations. This
    focus has led to a lack of facilities for composing specialised plots.
    'ggforce' aims to be a collection of mainly new stats and geoms that fills
    this gap. All additional functionality is aimed to come through the official
    extension system so using 'ggforce' should be a stable experience.
URL: https://ggforce.data-imaginist.com
BugReports: https://github.com/thomasp85/ggforce/issues
License: MIT + file LICENSE
LazyData: TRUE
Encoding: UTF-8
Depends: ggplot2 (>= 3.0.0), R (>= 3.3.0)
Imports: Rcpp (>= 0.12.2), grid, scales, MASS, tweenr (>= 0.1.5),
        gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
        utils
LinkingTo: Rcpp, RcppEigen
RoxygenNote: 6.1.1
Suggests: sessioninfo, concaveman, deldir, reshape2, units (>= 0.4-6)
Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
        'autodensity.R' 'autohistogram.R' 'autopoint.R' 'bezier.R'
        'bspline.R' 'bspline_closed.R' 'circle.R' 'diagonal.R'
        'diagonal_wide.R' 'ellipse.R' 'facet_grid_paginate.R'
        'facet_matrix.R' 'facet_row.R' 'facet_stereo.R'
        'facet_wrap_paginate.R' 'facet_zoom.R' 'ggforce_package.R'
        'ggproto-classes.R' 'interpolate.R' 'link.R' 'mark_circle.R'
        'mark_ellipse.R' 'mark_hull.R' 'mark_label.R' 'mark_rect.R'
        'parallel_sets.R' 'position-jitternormal.R' 'position_auto.R'
        'position_floatstack.R' 'regon.R' 'scale-depth.R'
        'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
        'trans_linear.R' 'utilities.R' 'voronoi.R'
NeedsCompilation: yes
Packaged: 2019-08-20 07:57:53 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2019-08-20 09:50:05 UTC

=== debian/changelog ===
r-cran-ggforce (0.3.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:18 +0100

r-cran-ggforce (0.3.1-2) unstable; urgency=medium

  * Build-Depends: r-cran-tweenr (>= 0.1.5)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 18:24:58 +0100

r-cran-ggforce (0.3.1-1) unstable; urgency=medium

  * Initial release (closes: #945068)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 11:54:08 +0100

=== debian/control ===
Source: r-cran-ggforce
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-rcpp (>= 0.12.2),
               r-cran-scales,
               r-cran-mass,
               r-cran-tweenr (>= 0.1.5),
               r-cran-gtable,
               r-cran-rlang,
               r-cran-polyclip,
               r-cran-tidyselect,
               r-cran-withr,
               r-cran-rcppeigen
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggforce.git
Homepage: https://cran.r-project.org/package=ggforce

Package: r-cran-ggforce
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: accelerating GNU R ggplot2
 The aim of 'ggplot2' is to aid in visual data investigations. This
 focus has led to a lack of facilities for composing specialised plots.
 'ggforce' aims to be a collection of mainly new stats and geoms that fills
 this gap. All additional functionality is aimed to come through the official
 extension system so using 'ggforce' should be a stable experience.

## r-cran-ggforce 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggforce
 Type: Package
 Title: Accelerating 'ggplot2'
-Version: 0.3.1
+Version: 0.3.2
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -16,7 +16,8 @@
     'ggforce' aims to be a collection of mainly new stats and geoms that fills
     this gap. All additional functionality is aimed to come through the official
     extension system so using 'ggforce' should be a stable experience.
-URL: https://ggforce.data-imaginist.com
+URL: https://ggforce.data-imaginist.com,
+        https://github.com/thomasp85/ggforce
 BugReports: https://github.com/thomasp85/ggforce/issues
 License: MIT + file LICENSE
 LazyData: TRUE
@@ -26,8 +27,9 @@
         gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
         utils
 LinkingTo: Rcpp, RcppEigen
-RoxygenNote: 6.1.1
-Suggests: sessioninfo, concaveman, deldir, reshape2, units (>= 0.4-6)
+RoxygenNote: 7.1.0.9000
+Suggests: sessioninfo, concaveman, deldir, reshape2, units (>= 0.4-6),
+        covr
 Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
         'autodensity.R' 'autohistogram.R' 'autopoint.R' 'bezier.R'
         'bspline.R' 'bspline_closed.R' 'circle.R' 'diagonal.R'
@@ -39,11 +41,11 @@
         'parallel_sets.R' 'position-jitternormal.R' 'position_auto.R'
         'position_floatstack.R' 'regon.R' 'scale-depth.R'
         'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
-        'trans_linear.R' 'utilities.R' 'voronoi.R'
+        'trans_linear.R' 'utilities.R' 'voronoi.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2019-08-20 07:57:53 UTC; thomas
+Packaged: 2020-06-23 08:56:52 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2019-08-20 09:50:05 UTC
+Date/Publication: 2020-06-23 09:40:02 UTC

=== debian/changelog ===
r-cran-ggforce (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jul 2020 09:32:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,25 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
                r-cran-rcpp (>= 0.12.2),
                r-cran-scales,
                r-cran-mass,
-               r-cran-tweenr (>= 0.1.5),
+               r-cran-tweenr,
                r-cran-gtable,
                r-cran-rlang,
                r-cran-polyclip,
                r-cran-tidyselect,
                r-cran-withr,
                r-cran-rcppeigen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggforce.git
 Homepage: https://cran.r-project.org/package=ggforce
+Rules-Requires-Root: no
 
 Package: r-cran-ggforce
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggforce_([-\d.]*)\.tar\.gz

## r-cran-ggforce 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggforce
 Type: Package
 Title: Accelerating 'ggplot2'
-Version: 0.3.2
+Version: 0.3.3
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -27,7 +27,7 @@
         gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
         utils
 LinkingTo: Rcpp, RcppEigen
-RoxygenNote: 7.1.0.9000
+RoxygenNote: 7.1.1
 Suggests: sessioninfo, concaveman, deldir, reshape2, units (>= 0.4-6),
         covr
 Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
@@ -43,9 +43,9 @@
         'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
         'trans_linear.R' 'utilities.R' 'voronoi.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2020-06-23 08:56:52 UTC; thomas
+Packaged: 2021-03-05 08:25:05 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-06-23 09:40:02 UTC
+Date/Publication: 2021-03-05 10:20:02 UTC

=== debian/changelog ===
r-cran-ggforce (0.3.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 09:54:26 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-cran-tidyselect,
                r-cran-withr,
                r-cran-rcppeigen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggforce.git
 Homepage: https://cran.r-project.org/package=ggforce

## r-cran-ggforce 0.3.4

=== debian/changelog ===
r-cran-ggforce (0.3.4-1) unstable; urgency=medium

  * Disable reprotest
  * Disable blhc
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 07:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
-               r-cran-rcpp (>= 0.12.2),
+               r-cran-ggplot2,
+               r-cran-rcpp,
                r-cran-scales,
                r-cran-mass,
                r-cran-tweenr,
@@ -18,8 +18,9 @@
                r-cran-polyclip,
                r-cran-tidyselect,
                r-cran-withr,
+               r-cran-lifecycle,
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggforce.git
 Homepage: https://cran.r-project.org/package=ggforce

## r-cran-ggforce 0.4.1

=== DESCRIPTION ===
Package: ggforce
Type: Package
Title: Accelerating 'ggplot2'
Version: 0.4.1
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("cre", "aut"),
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person("RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The aim of 'ggplot2' is to aid in visual data investigations. This
    focus has led to a lack of facilities for composing specialised plots.
    'ggforce' aims to be a collection of mainly new stats and geoms that fills
    this gap. All additional functionality is aimed to come through the official
    extension system so using 'ggforce' should be a stable experience.
URL: https://ggforce.data-imaginist.com,
        https://github.com/thomasp85/ggforce
BugReports: https://github.com/thomasp85/ggforce/issues
License: MIT + file LICENSE
Encoding: UTF-8
Depends: ggplot2 (>= 3.3.6), R (>= 3.3.0)
Imports: Rcpp (>= 0.12.2), grid, scales, MASS, tweenr (>= 0.1.5),
        gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
        utils, lifecycle, cli, vctrs, systemfonts
LinkingTo: Rcpp, RcppEigen
RoxygenNote: 7.2.1
Suggests: sessioninfo, concaveman, deldir, latex2exp, reshape2, units
        (>= 0.4-6), covr
Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
        'autodensity.R' 'autohistogram.R' 'autopoint.R' 'bezier.R'
        'bspline.R' 'bspline_closed.R' 'circle.R' 'diagonal.R'
        'diagonal_wide.R' 'ellipse.R' 'errorbar.R'
        'facet_grid_paginate.R' 'facet_matrix.R' 'facet_row.R'
        'facet_stereo.R' 'facet_wrap_paginate.R' 'facet_zoom.R'
        'ggforce-package.R' 'ggproto-classes.R' 'interpolate.R'
        'labeller.R' 'link.R' 'mark_circle.R' 'mark_ellipse.R'
        'mark_hull.R' 'mark_label.R' 'mark_rect.R' 'parallel_sets.R'
        'position-jitternormal.R' 'position_auto.R'
        'position_floatstack.R' 'regon.R' 'scale-depth.R'
        'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
        'trans_linear.R' 'utilities.R' 'voronoi.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2022-10-03 12:36:36 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2022-10-04 09:50:02 UTC

=== debian/changelog ===
r-cran-ggforce (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:13:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
+               r-cran-ggplot2 (>= 3.3.6),
                r-cran-rcpp,
                r-cran-scales,
                r-cran-mass,
@@ -19,6 +19,9 @@
                r-cran-tidyselect,
                r-cran-withr,
                r-cran-lifecycle,
+               r-cran-cli,
+               r-cran-vctrs,
+               r-cran-systemfonts,
                r-cran-rcppeigen
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce

## r-cran-ggforce 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggforce
 Type: Package
 Title: Accelerating 'ggplot2'
-Version: 0.4.1
+Version: 0.4.2
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -26,7 +26,7 @@
         gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
         utils, lifecycle, cli, vctrs, systemfonts
 LinkingTo: Rcpp, RcppEigen
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 Suggests: sessioninfo, concaveman, deldir, latex2exp, reshape2, units
         (>= 0.4-6), covr
 Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
@@ -43,9 +43,9 @@
         'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
         'trans_linear.R' 'utilities.R' 'voronoi.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2022-10-03 12:36:36 UTC; thomas
+Packaged: 2024-02-19 08:06:23 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2022-10-04 09:50:02 UTC
+Date/Publication: 2024-02-19 11:00:02 UTC

=== debian/changelog ===
r-cran-ggforce (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: removed myself from Uploaders.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 23 Mar 2024 11:43:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: r-cran-ggforce
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional

## r-cran-ggforce 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggforce
 Type: Package
 Title: Accelerating 'ggplot2'
-Version: 0.4.2
+Version: 0.5.0
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -21,18 +21,18 @@
 BugReports: https://github.com/thomasp85/ggforce/issues
 License: MIT + file LICENSE
 Encoding: UTF-8
-Depends: ggplot2 (>= 3.3.6), R (>= 3.3.0)
-Imports: Rcpp (>= 0.12.2), grid, scales, MASS, tweenr (>= 0.1.5),
-        gtable, rlang, polyclip, stats, grDevices, tidyselect, withr,
-        utils, lifecycle, cli, vctrs, systemfonts
-LinkingTo: Rcpp, RcppEigen
-RoxygenNote: 7.3.1
-Suggests: sessioninfo, concaveman, deldir, latex2exp, reshape2, units
-        (>= 0.4-6), covr
-Collate: 'RcppExports.R' 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R'
-        'autodensity.R' 'autohistogram.R' 'autopoint.R' 'bezier.R'
-        'bspline.R' 'bspline_closed.R' 'circle.R' 'diagonal.R'
-        'diagonal_wide.R' 'ellipse.R' 'errorbar.R'
+Depends: ggplot2 (>= 3.5.0), R (>= 3.3.0)
+Imports: grid, scales, MASS, tweenr (>= 0.1.5), gtable, rlang,
+        polyclip, stats, grDevices, tidyselect, withr, utils,
+        lifecycle, cli, vctrs, systemfonts
+RoxygenNote: 7.3.2
+LinkingTo: cpp11
+Suggests: sessioninfo, deldir, latex2exp, reshape2, units (>= 0.8.0),
+        covr
+Collate: 'aaa.R' 'shape.R' 'arc_bar.R' 'arc.R' 'autodensity.R'
+        'autohistogram.R' 'autopoint.R' 'bezier.R' 'bspline.R'
+        'bspline_closed.R' 'circle.R' 'concaveman.R' 'cpp11.R'
+        'diagonal.R' 'diagonal_wide.R' 'ellipse.R' 'errorbar.R'
         'facet_grid_paginate.R' 'facet_matrix.R' 'facet_row.R'
         'facet_stereo.R' 'facet_wrap_paginate.R' 'facet_zoom.R'
         'ggforce-package.R' 'ggproto-classes.R' 'interpolate.R'
@@ -43,9 +43,9 @@
         'scale-unit.R' 'sina.R' 'spiro.R' 'themes.R' 'trans.R'
         'trans_linear.R' 'utilities.R' 'voronoi.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2024-02-19 08:06:23 UTC; thomas
-Author: Thomas Lin Pedersen [cre, aut]
-    (<https://orcid.org/0000-0002-5147-4711>),
+Packaged: 2025-06-18 12:00:16 UTC; thomas
+Author: Thomas Lin Pedersen [cre, aut] (ORCID:
+    <https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2024-02-19 11:00:02 UTC
+Date/Publication: 2025-06-18 12:40:02 UTC

=== debian/changelog ===
r-cran-ggforce (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 10:06:49 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.3.6),
-               r-cran-rcpp,
+               r-cran-ggplot2 (>= 3.5.0),
                r-cran-scales,
                r-cran-mass,
                r-cran-tweenr,
@@ -21,8 +20,10 @@
                r-cran-cli,
                r-cran-vctrs,
                r-cran-systemfonts,
-               r-cran-rcppeigen
-Standards-Version: 4.6.1
+               r-cran-cpp11,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggforce
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggforce.git
 Homepage: https://cran.r-project.org/package=ggforce
